import { AggFC, DataSource, Fields, CubeProps } from "../types";
declare class Node<Row> {
    children: Map<string, Node<Row>>;
    _rawData: DataSource<Row>;
    aggFunc: AggFC<Row>;
    _aggData: Row;
    cache: boolean;
    constructor(aggFunc: AggFC<Row>);
    push(...params: Array<Row>): void;
    aggData(measures?: Fields): Row;
    clearCache(): void;
    readonly rawData: DataSource<Row>;
}
declare class periodCube<Row> {
    private aggFunc;
    private factTable;
    private dimensions;
    private measures;
    tree: Node<Row>;
    constructor(props: CubeProps<Row>);
    get(dimensions: Fields): Row | false;
    buildTree(): Node<Row>;
    insertNode(record: any, node: any, level: any): void;
    aggTree(node?: Node<Row>): Node<Row>;
    aggNode(node?: Node<Row>): Node<Row>;
}
export default periodCube;
